/*
* Enjoy Movies Your Way
* cast-receiver/app.css
*
*/

.cast-splash {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    color: #d3e4e6;
    font-size: 4rem;
}

.cast-splash .enjoy-logo {
    transition: opacity 1500ms;
}

.cast-splash > div:not(:first-child) {
    position: absolute;
    bottom: 10rem;
    display: flex;
    align-items: center;
    font-size: 2.125rem;
    font-weight: 300;
    font-style: italic;
    color: rgba(255, 255, 255, 0.5);
    transition: opacity 500ms 2000ms;
}

.cast-splash .enjoy-logo img {
    height: 8.5rem;
    width: auto;
}

.cast-splash > div:not(:first-child) img {
    /* height: 2.5rem; */
    height: 1.75rem;
    width: auto;
}

@keyframes enjoy-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.loading-spinner {
    position: absolute;
    width: 3.5rem;
    height: 3.5rem;
    bottom: 10rem;
    left: 50%;
    transform: translateX(-50%);
    opacity: 1;
    transition: opacity 500ms 1500ms;
}

.loading-spinner > :first-child {
    position: absolute;
    width: 100%;
    height: 100%;
    outline: none;
    border-style: solid;
    border-radius: 50%;
    border-color: #FAFAFA22;
    border-width: 0.375rem;
}

.loading-spinner > :last-child {
    position: absolute;
    width: 100%;
    height: 100%;
    outline: none;
    border-style: solid;
    border-radius: 50%;
    border-color: transparent;
    border-width: 0.375rem;
    border-top-color: #00d0f0;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    animation-name: enjoy-spin;
    animation-duration: 1000ms;
}

.cast-splash.hidden > *, .loading-spinner.hidden {
    opacity: 0;
}
